"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateExtensions = void 0;
class DateExtensions {
    static convertLocalDateToUTCDate(date) {
        date = new Date(date);
        date.setMinutes(date.getMinutes() - date.getTimezoneOffset());
        return date.toUTCString();
    }
    static convertUTCDateToLocalDate(date) {
        const newDate = new Date(date);
        newDate.setMinutes(newDate.getMinutes() + newDate.getTimezoneOffset());
        return newDate;
    }
}
exports.DateExtensions = DateExtensions;
//# sourceMappingURL=date-extensions.js.map