export interface ExportOrRunTableOptions {
    tableName: string;
    primaryKeyNames: string[];
    excludeColumns?: string[];
    overrideColumns?: {
        [key: string]: any;
    };
}
export interface ExportTableOptions {
    tableName: string;
    entityName: string;
    keyColumn: string;
    valueColumn: string;
}
export declare type ChangedSeedFileOptions = {
    seedData: ExportOrRunTableOptions;
    fileContent: string;
    hash: string;
    databaseRow: any;
};
