import { ISeedDataLogger } from '../logging/logger.type';
import { ISeedQueryRunner } from '../seed-runner/query-runner.interface';
import { ExportTableOptions } from '../seed-runner/seed-data.types';
import { FileStreamService } from './file-stream.service';
export declare class TableToCoderWriter {
    private readonly outDir;
    private readonly logger;
    private readonly seedQueryRunner;
    private readonly fileStream;
    constructor(outDir: string, logger: ISeedDataLogger, seedQueryRunner: ISeedQueryRunner, fileStream: FileStreamService);
    writeCodeFile(seedData: ExportTableOptions): Promise<void>;
    getKeyValue(value: string): string;
    getValue(value: any): any;
    private writeKeyToValueMap;
    private writeValueToKeyMap;
    private writeAllValuesArray;
    private writeAllKeysArray;
    private writeMap;
    private writeGetArray;
}
