export declare enum LogLevel {
    error = "error",
    info = "info",
    debug = "debug"
}
export declare const LogeLevelPriority: {
    error: number;
    info: number;
    debug: number;
};
export interface ISeedDataLogger {
    info(message: string, context: string): any;
    debug(debug: string, context: string): any;
    error(debug: string | Error, context: string): any;
}
