import { ISeedDataLogger, LogLevel } from './logger.type';
export declare class SeedDataLoggerAdapter implements ISeedDataLogger {
    private readonly level;
    private readonly loggerInstance;
    constructor(level: LogLevel, loggerInstance: ISeedDataLogger);
    info(info: string, context: string): void;
    debug(debug: string, context: string): void;
    error(error: string | Error, context: string): void;
}
